#!/usr/bin/env python
# -*- coding: utf-8 -*-

#License GPL
#amk.py
#Version 0.3.4
#Author Fabrizio Ruggeri
#Contact: fabrizio.ruggeri@gmail.com
#Site: ramielinux.wordpress.com

from qt import *
import sys
import os
#from form import AmuleKform
#from passform import dialogForm


image0_data = \
    "\x89\x50\x4e\x47\x0d\x0a\x1a\x0a\x00\x00\x00\x0d" \
    "\x49\x48\x44\x52\x00\x00\x00\x20\x00\x00\x00\x20" \
    "\x08\x06\x00\x00\x00\x73\x7a\x7a\xf4\x00\x00\x07" \
    "\xb5\x49\x44\x41\x54\x58\x85\xc5\x96\x7b\x6c\x95" \
    "\x77\x19\xc7\xbf\xef\xfd\xbc\x97\x73\x6b\x7b\x4e" \
    "\x39\x3d\xe7\xf4\x4a\xa9\xb4\xa5\x05\x4a\x61\xa3" \
    "\xa3\x20\x0c\x27\x17\x87\xce\x44\x84\x31\x30\x45" \
    "\xe3\x16\x0d\xd3\x89\xc9\x96\xb9\xe1\xd4\x6d\x51" \
    "\x63\x66\x5c\x32\xa7\x89\x53\x96\x8c\x89\xce\xc4" \
    "\x19\x62\xdc\x9c\x2e\x26\x64\x6b\x00\x61\x94\x7b" \
    "\xaf\x94\xd3\xd3\x9e\xd3\x9e\xfb\xed\x3d\xef\xf5" \
    "\xe7\x1f\xb2\x64\x40\x0b\xad\xce\xf8\x24\x4f\xde" \
    "\x5f\xde\xdf\xfb\x3c\xcf\xe7\x7d\x2e\xbf\xfc\x80" \
    "\xff\xb3\x50\xff\xad\x83\x27\xb6\xb5\xc1\x26\x36" \
    "\x27\x8b\x9c\x14\xf4\xc8\xd9\xfd\xbf\x7a\xff\xe3" \
    "\xe0\x9a\x9f\x3c\xd2\x1b\x00\x21\x04\xc7\x9e\xd9" \
    "\xb9\xef\xcd\x27\xb6\x3e\x45\x08\xc1\xee\xb5\x75" \
    "\x0b\xf2\x41\xff\xa7\xc1\x37\x2c\x71\x63\xf7\x8e" \
    "\xcd\x78\xe5\xd1\xfb\x7a\xfc\xd5\xd5\xcf\x2a\x3c" \
    "\x5d\x4f\x51\x14\xdc\x0e\x6e\x41\x7e\xd8\xb9\x36" \
    "\x1e\xbf\xbf\x15\x05\xd5\x74\x17\x35\xb3\x2c\xf2" \
    "\x8c\xf6\xd2\x3b\x43\x37\xec\xaf\x6f\x0b\xe3\x0f" \
    "\xc7\xfe\x56\x71\xef\xbd\x9b\x9e\xe6\x19\x04\x8d" \
    "\x72\x41\x07\x80\x44\x41\x5b\x10\xc0\xac\x19\x70" \
    "\xcb\x3c\xfa\x7a\x1b\xd0\xd5\xe0\xed\xeb\x6e\xac" \
    "\x78\x01\x40\x23\x21\x3f\x46\xcf\xe2\x4a\x00\xc0" \
    "\x17\xef\xaa\xc5\x57\x3f\xbb\x0e\x4d\xf5\x75\xbb" \
    "\x5c\x6e\xef\x46\xb3\x94\x85\x6d\x59\x79\x52\xf8" \
    "\x01\xa6\x32\xea\x82\x00\x98\xd9\x5e\x56\xc8\x02" \
    "\xbe\xb0\xa6\x16\x9a\x69\x77\x56\x3a\x85\x43\x14" \
    "\x4d\x6d\xfa\xf3\xd1\xcb\x79\xd9\xeb\x1b\xdc\xb0" \
    "\x2c\x6c\x4a\x94\x8e\xbf\xf6\x9f\xf7\x35\xd5\x87" \
    "\x7e\x58\x5d\x13\x0e\xdb\xf9\x69\xe4\xf3\xb9\xd7" \
    "\xd4\x73\xf1\x53\x4f\xfe\x7e\x60\x41\x00\xb3\x96" \
    "\x60\x2a\x53\xc2\xa5\xc9\x1c\x54\xdd\x7c\xab\xa9" \
    "\xda\x79\x7e\xb1\x5f\xe9\x10\x4a\xec\x2f\xaa\xc5" \
    "\xaa\xae\xa9\x44\xe6\x59\x91\x33\x13\x05\x8e\x6a" \
    "\x17\x04\x47\x2b\x05\xc0\xb4\xec\x92\x66\x58\x83" \
    "\x0b\xfd\x7b\xe0\x36\x4d\xf8\xee\xc5\x38\xfa\x36" \
    "\x35\x5f\xcd\x14\xf5\x9f\x78\x64\xae\x54\x2d\xe8" \
    "\x92\x44\xeb\x07\x9a\x17\x37\x3e\x3f\xe2\x68\xe3" \
    "\x79\x96\x69\xa2\x19\x5a\x26\x84\xc0\x24\x54\x34" \
    "\x95\x2b\x0e\x45\xd3\x0b\x07\x98\xb5\x04\x00\x70" \
    "\xfa\x6a\x1a\x6e\x81\xc5\x60\x2c\x3f\x58\xe3\x95" \
    "\xc2\x15\x32\xb7\xd2\x28\xab\x54\xd9\xa6\x9b\xed" \
    "\x4c\x24\x2a\xf0\x42\xb7\xa2\x28\xdd\x2e\x45\x81" \
    "\x56\xca\x1f\xff\xd3\xdb\xff\xf8\xb5\xc5\xbb\xac" \
    "\xe3\x83\x89\x05\x01\xdc\x76\x0c\x1f\x7b\xed\x0c" \
    "\x3a\x6b\x3d\x6a\x24\x55\x7c\x4e\x33\x49\xbf\xcc" \
    "\x11\x24\x23\x43\x8a\x13\xa5\x9f\x85\x82\x35\x7d" \
    "\x4e\x5f\x18\x33\xe9\x2c\xa2\xf1\xc4\xa9\x27\x0f" \
    "\xf4\xe9\x17\x26\x72\x0b\x0a\x0e\xdc\x66\x0c\x3f" \
    "\x94\xfe\xe1\x24\xd6\xb5\xf8\x46\x87\x63\xf9\x83" \
    "\x25\xdd\xfc\x1d\x43\x91\x1a\x07\x4f\x14\x33\x1d" \
    "\x41\x2e\x3f\x09\xcb\x22\x48\x64\x8b\xd2\xd2\x76" \
    "\x0e\x4e\x71\xce\x84\xce\x29\x77\xb4\xe8\x1f\x4e" \
    "\x42\x71\xb0\x98\x48\x95\x34\x97\xc8\xed\x74\x39" \
    "\x15\xbf\xc8\x31\x10\x39\x40\x94\x14\x54\x36\x2e" \
    "\x87\x65\x68\xf4\x4b\x87\xff\xfe\x86\x2c\x49\xda" \
    "\xc9\xd1\xd4\x82\x00\xe6\x75\x12\xb2\x0c\x05\xc6" \
    "\xd6\x89\x28\x3b\xad\x35\xbb\x0e\xa2\x63\xdb\x7e" \
    "\x48\xa2\x88\xda\xee\x2d\xd8\xf0\xf0\xf3\x68\xe9" \
    "\x7d\xa0\xde\xe7\x92\x02\x35\x95\xce\x05\x05\x9f" \
    "\x37\x40\xb6\x64\x20\x36\x35\x59\x76\xb8\x2a\xf3" \
    "\xfe\xc6\x76\x98\x55\x4b\xe1\x0c\x34\x21\x96\x51" \
    "\xf1\x5e\xff\x49\xb8\x2a\x7c\x55\x1e\xa7\xdc\xde" \
    "\x1c\xf2\x62\xad\xfb\x7f\x00\xe0\x60\x29\x8c\x8d" \
    "\xd8\x6a\xb9\x54\x48\x64\x66\x62\x88\x44\xa3\xa0" \
    "\xbc\x75\x70\x7a\xbc\xa8\xf4\x7a\x60\x73\x92\xb0" \
    "\xb8\x67\xfb\x37\xae\x89\xcb\x1a\x1e\x39\xf4\xd4" \
    "\xc7\x0f\x20\xd7\x7c\x02\xf5\x2b\xeb\x19\x4f\x5d" \
    "\x9b\x60\x53\x0c\x56\xac\xec\x42\xe0\xee\xcf\xa3" \
    "\x76\xd5\xa7\x50\x51\xe1\x81\x29\x56\xa1\x5c\xd5" \
    "\x7e\x4f\xef\xf6\x9d\x2f\xd0\xfe\x25\x15\x47\x7f" \
    "\x7b\x64\xde\x00\x77\x9c\x02\x00\x78\xf0\xc0\x77" \
    "\x50\x28\x14\x56\x55\x56\x56\x76\x25\xf2\x25\x18" \
    "\x74\x06\xba\xae\xc3\x30\x0c\x10\x42\x30\x36\x36" \
    "\x86\x91\x91\x11\xac\xea\x5e\xbd\xb5\xb6\xce\xda" \
    "\xec\xf7\xfb\x8e\xce\x17\xe0\x8e\x19\xe8\xed\xed" \
    "\xc5\xda\x9e\x7b\xe0\xaf\x5e\xb4\xd9\xb4\x6c\x5f" \
    "\x7f\x7f\x3f\x22\x91\x08\x32\x99\x0c\x92\xc9\x24" \
    "\x62\xb1\x18\x8a\xc5\x22\x7a\x7a\x7a\xc0\x71\x1c" \
    "\xc7\x72\xdc\xd2\x25\x4b\x5a\x10\xaa\x6b\x9c\x17" \
    "\xc0\xac\x19\xf8\xdc\x8e\xcf\x20\x95\x4c\x52\x7b" \
    "\x1e\xda\xeb\x0d\x04\x43\xdc\xbe\xbe\xfd\xc5\x47" \
    "\xbf\xfe\xb5\x2a\x8f\xc7\x83\x96\x96\x16\x4c\x4f" \
    "\x4f\x43\x51\x14\x68\x9a\x06\x4d\xd3\xe0\xf7\xfb" \
    "\x11\x0a\x85\xa0\xaa\x2a\x52\x93\xe3\xfc\x63\x3b" \
    "\x1e\x0e\xfc\xe8\xf9\xef\xfb\x24\x49\x42\x31\x97" \
    "\x1d\xf2\x78\xbc\xea\xb6\xfb\x77\xcc\x0a\x70\xcb" \
    "\x39\xe0\xf6\x28\x78\xf9\xe5\x5f\x22\x14\x0c\x6c" \
    "\x5d\xb5\x7a\xcd\x2b\xf5\xf5\x0d\x5f\x56\xb2\x43" \
    "\x0f\x24\xc7\x06\x3a\xab\x1a\x96\x55\x7a\xbd\x5e" \
    "\x70\x1c\x87\x58\x2c\x86\x42\xa1\x80\x62\xb1\x08" \
    "\x00\xa8\xf2\xf9\x50\x98\x1a\x21\xe9\xe3\xbf\x69" \
    "\x56\x64\xe9\xa1\xba\x95\x1b\xbf\xd2\xda\xde\xf1" \
    "\x25\xc5\xa9\xe4\xd7\xad\xff\xe4\x89\x0f\x4e\x1c" \
    "\xc7\x95\xe1\xb1\x5b\x00\x6e\x29\x41\x67\x43\x0d" \
    "\xee\xba\x7b\x2d\x74\xdd\xd8\x61\xda\xa4\x2b\x31" \
    "\x7e\xb9\xd5\xb8\xf6\xcf\x75\x99\x2b\xef\x37\x5f" \
    "\x1b\x38\x0e\xc3\x30\x88\x61\x9a\x24\x9d\xce\x20" \
    "\x93\xc9\x22\x9d\xc9\x62\x64\x74\x14\x93\x97\x2e" \
    "\x40\x3f\xff\x17\x4a\xb2\x72\x8b\x04\xb3\xd0\x18" \
    "\x1f\x3d\xef\x2b\x96\xd4\x4a\xcb\x34\x7b\x29\x8a" \
    "\x62\x96\xb5\xb5\xce\xaf\x04\xcc\xf5\x6b\xea\xe4" \
    "\x64\x94\x19\x1e\x1e\x81\x3e\x75\x11\xb4\x9a\x81" \
    "\xad\x6b\xb8\xf4\xd6\x61\x4c\x0d\x7e\x00\x5b\xf2" \
    "\x41\x4d\xe7\x61\x18\x26\xe8\x72\x09\x1d\x1a\xb0" \
    "\x66\xa6\x1a\x09\xd9\x8f\xab\xd4\x65\xd8\x84\xe0" \
    "\x5a\x64\x02\xec\x85\x0b\x10\x78\x46\x05\x60\x27" \
    "\xd3\xe9\xf9\x01\xbc\x7b\x7a\x10\xdf\x3e\xf8\x2d" \
    "\x44\xc6\xaf\x9e\xb1\x29\x96\xf0\x2c\x4d\x79\x18" \
    "\x1f\x58\x44\x2d\xa3\x5c\x32\xb5\xf1\x53\xbc\x57" \
    "\x71\x50\x6d\x9c\x00\x86\xa1\xc1\x70\x06\x3a\xa6" \
    "\x58\xf8\xc7\x3d\x88\x57\xb3\xb6\x6a\xd8\xe5\x09" \
    "\xdd\xe9\x88\xa7\x0d\xba\x78\x6e\xc0\x16\x05\xfe" \
    "\xbd\x57\x5f\x3d\x4c\xf6\xee\xdd\x37\x2b\xc0\x0d" \
    "\x3d\xf0\xdc\xf7\x0e\x61\xc5\xf2\x0e\x66\xdb\xb6" \
    "\xed\xcb\x43\xa1\x70\x78\x6c\xe8\xf2\xea\x7c\x2a" \
    "\xce\xa8\x6a\x69\x48\xcf\x27\xde\x36\x2c\x8c\xd5" \
    "\x05\x17\xb5\xc8\x22\x4f\x4b\x8c\x05\x27\x4f\x20" \
    "\xf2\x34\x32\xb4\x8e\x74\x2e\x83\xd1\xe2\x84\x7e" \
    "\x35\x9b\x7b\x71\xb8\xe0\x38\x59\x50\x75\x2b\x97" \
    "\x8c\x9f\x71\xbb\xe4\x37\x3b\xbb\xd6\x54\xec\xd9" \
    "\xbd\x8b\xca\x24\x26\x0b\x5b\xb6\x7c\x1a\xfd\x27" \
    "\x4e\xcd\x9e\x01\x9f\xdf\x0f\xb7\xc7\xb3\x4c\x94" \
    "\xe5\x3f\x76\x35\x35\x07\x94\xf2\x14\x35\xdd\xff" \
    "\x06\xd1\x88\x19\x2c\x88\x9c\xcf\xb0\x29\x41\x74" \
    "\x55\xd0\x92\xc0\x82\x36\x8a\x60\x2d\x15\xc4\xd2" \
    "\xa1\x7a\x58\x8c\x3b\x4a\x50\x75\x93\xf7\x29\xc2" \
    "\x83\x41\x4f\x29\x9f\x53\xb3\x7c\x5e\x35\x02\xc1" \
    "\x9a\xee\x23\xe1\x70\x58\x61\x69\xfa\xca\x37\x0f" \
    "\x3e\xbe\x87\x61\xd8\x91\x9f\xbe\xf8\xf3\xd9\x01" \
    "\x68\x96\x47\x2a\x16\x5b\x1a\x8f\x4f\x07\x13\x33" \
    "\x33\x8c\x19\x19\x80\x53\xa0\x00\x42\x73\x3a\xcb" \
    "\x40\xd7\x4c\x98\x84\x06\xef\xf6\x03\x5a\x1e\xb6" \
    "\x56\x80\xa9\x16\x60\x6a\x05\xd8\x04\xb0\x2c\x42" \
    "\xc9\x02\x1b\xe4\x58\x1a\x96\x4d\x60\x59\x36\x66" \
    "\x86\xce\x20\xbe\x7c\x3d\x6a\x82\xa1\x2e\x97\xdb" \
    "\xdb\xea\x76\xbb\x47\xe6\xec\x81\xe8\xc4\x04\x62" \
    "\x53\x53\xb4\xcb\x33\x46\xf1\x02\x0f\xa9\x6c\xc3" \
    "\x05\x0a\x14\x85\x7f\x2b\x80\xf8\xd4\x24\xbc\xd5" \
    "\x21\x08\x4e\x1f\x6c\x4e\x04\x68\x07\x08\x61\x61" \
    "\x68\x29\x08\x9c\x0d\xb7\xc4\x41\xd5\x2d\x80\x02" \
    "\x68\x9a\x42\x3e\x93\xc2\xc0\xd9\xb3\xb0\x09\x68" \
    "\x5d\xd3\x24\x59\x91\xe7\x6c\x42\xea\xe9\xef\x3e" \
    "\xc3\xdc\xb7\xb1\x37\xc6\xf2\x8e\x82\xdb\x5b\xe1" \
    "\xe2\xb1\x08\x35\x76\x9c\xc0\x4c\x97\xf3\xaa\x91" \
    "\x8d\xe7\xb4\xc4\xd9\xf1\x91\xe9\x81\x68\x1e\x4d" \
    "\x75\xe1\x1a\x91\x67\x14\xb5\x54\xc4\x64\x7c\xa6" \
    "\x9c\xcd\x64\xf4\xb6\x1a\x45\xb4\x6d\xa2\xd0\x34" \
    "\xa5\x10\x1b\x42\xd9\x66\xe8\x69\xa6\x0a\xf9\x6b" \
    "\x11\x80\xa6\x4b\xb2\xe8\x88\x46\xa3\x91\x39\x01" \
    "\x58\x00\x8e\xd3\x67\xcf\x8d\x48\x4e\xf7\xb1\x54" \
    "\x2a\xdd\x4d\x33\x6c\x64\x38\xa3\x9d\x4f\x45\x22" \
    "\xa3\x17\x27\xf3\xd9\x89\x64\xc9\xd0\x4c\x9b\x01" \
    "\xc6\x1d\x14\x4e\xca\x3c\x4b\x49\xb6\x0d\xc6\xb0" \
    "\x09\x01\x60\x71\x0c\x65\x06\x3c\xa2\xb5\x24\xe0" \
    "\x64\x17\xfb\x15\xb7\x2d\x7a\x1b\x72\x4e\xac\x10" \
    "\x63\x31\xbf\x5a\x2a\xbe\x23\x8b\xc2\x39\xdd\x30" \
    "\x6e\x00\xa0\x6e\x5a\x33\x00\xb8\x70\x30\xe0\xe1" \
    "\x38\xce\x3d\x31\x19\xd3\x74\x5d\x27\x00\x38\x00" \
    "\x02\x00\xfe\xfa\x9a\xbd\xfe\xed\x87\xf6\x04\x80" \
    "\x09\xc0\x00\x50\x06\xa0\x02\x28\xb2\x2c\xa7\x77" \
    "\x2e\xef\x50\x2a\xbd\x15\x5e\xc3\xd0\x26\x02\x81" \
    "\x60\xe2\xc8\xeb\xaf\xcf\x09\x70\xb3\x50\x1f\x09" \
    "\x44\x7f\xe4\x49\xdf\x64\x47\xae\xab\x35\x8b\x92" \
    "\xdb\xf8\x07\x00\xfc\x0b\x53\xc4\x5d\xcf\x6a\x65" \
    "\x7a\xb9\x00\x00\x00\x00\x49\x45\x4e\x44\xae\x42" \
    "\x60\x82"


image1_data = \
    "\x89\x50\x4e\x47\x0d\x0a\x1a\x0a\x00\x00\x00\x0d" \
    "\x49\x48\x44\x52\x00\x00\x00\x20\x00\x00\x00\x20" \
    "\x08\x06\x00\x00\x00\x73\x7a\x7a\xf4\x00\x00\x0a" \
    "\x5c\x49\x44\x41\x54\x58\x85\xb5\x57\x7b\x50\x54" \
    "\xe7\x1d\x3d\x77\xef\xee\xdd\x0b\xec\x83\x7d\xf0" \
    "\xde\x85\x0d\xe0\x63\x41\x7c\xe1\x23\x22\x0a\xd6" \
    "\xb1\x92\x51\xd3\xf8\xc8\xa3\x8e\x6d\xa3\xa9\x63" \
    "\x9b\x5a\xd3\xe9\x24\x6d\x63\xb1\x92\xaa\x13\xc7" \
    "\x3c\x3a\x36\x36\x9a\x68\x6c\x26\xa4\xb1\xc6\x48" \
    "\x9c\x10\x95\x2a\x2a\xca\x76\xc5\x80\x80\x80\x20" \
    "\x60\xd9\x65\xd9\x75\x05\x76\xd7\x65\x59\xee\xde" \
    "\xdd\xbd\x8f\xfe\x01\x3a\xc6\x48\xcc\x34\xd3\xf3" \
    "\xe7\x9d\xef\xde\x7b\xbe\xdf\xef\x7c\xe7\x7c\x3f" \
    "\x60\x1c\xec\xde\xbd\x3b\x65\xd7\xae\x5d\xc5\x00" \
    "\xe4\x00\x88\xf1\xd6\x7d\x5f\x90\x0f\x7b\xb8\x7d" \
    "\xfb\xf6\xa4\x15\x2b\x56\x54\xc7\xc6\xc6\x6e\xd1" \
    "\x68\x34\xce\xfa\xfa\xfa\x6e\x00\x1c\x00\xf1\xff" \
    "\x45\xe4\x1e\xb6\x6d\xdb\xa6\x6f\x6c\x6c\xbc\xc6" \
    "\xf3\xbc\xd8\xd9\xd9\x29\x7e\xf9\xe5\x97\xd1\x97" \
    "\x5e\x7a\xe9\x65\x00\x6a\xa9\x54\x4a\x96\x96\x96" \
    "\x9a\xc7\x23\xfe\xbf\x40\xfa\xe0\x03\xb5\x5a\x5d" \
    "\x22\x08\xc2\x54\x96\x65\xa1\xd7\xeb\x41\x92\xa4" \
    "\x94\xa6\xe9\x3d\x34\x4d\xeb\x8b\x8a\x8a\xd2\x9b" \
    "\x9a\x9a\x58\x00\xbf\x05\x30\x92\x94\x94\x14\x9b" \
    "\x9a\x9a\x1a\x13\x8d\x46\x09\x87\xc3\x11\x0a\x04" \
    "\x02\x0c\x80\x28\xbe\x4f\xa5\x48\x92\xa4\xdf\x78" \
    "\xe3\x8d\x73\x76\xbb\x5d\x0c\x85\x42\x62\x20\x10" \
    "\x10\xfb\xfa\xfa\xc4\xa6\xa6\x26\xd1\xed\x76\x8b" \
    "\xaf\xbc\xf2\xca\x89\xb3\x67\xcf\xbe\xdc\xd5\xd5" \
    "\x75\xbe\xbf\xbf\xff\x76\x4d\x4d\x4d\xb8\xba\xba" \
    "\x3a\xdc\xdf\xdf\x3f\xd0\xd9\xd9\x79\xb1\xaa\xaa" \
    "\xea\xd5\xc5\x8b\x17\x9b\xc6\x36\xf7\x48\xed\x3c" \
    "\x6c\x01\xb9\x64\xc9\x92\x9c\xf5\xeb\xd7\x5f\x2a" \
    "\x79\xa2\x24\x5e\x22\x91\x80\x13\xa2\x08\x8d\x84" \
    "\x71\xcb\xd1\x0b\x45\x5c\x9c\xa8\xd2\xea\x08\x86" \
    "\x61\x86\x19\x86\x09\x57\x56\x56\xea\x59\x96\xc5" \
    "\xaa\x55\xab\xbc\x14\x45\x41\xa3\xd1\xe8\x46\x46" \
    "\x46\xbc\x16\x8b\xe5\x2f\xf3\x0a\xe6\xe9\xf5\x49" \
    "\xfa\xb9\x42\x44\xb8\x15\x89\x44\xba\x5e\x7b\xed" \
    "\xb5\x37\x0f\x1f\x3e\xec\x07\x20\xdc\xfb\xd9\x43" \
    "\x08\x88\x3d\x3d\x3d\x43\xab\x57\xaf\x96\x34\xe9" \
    "\xeb\x17\x6d\x74\xfd\x14\x1f\x7a\x3f\x40\x89\xee" \
    "\x09\xf0\x7e\xc0\xe7\xf7\x7b\x8e\x1c\x39\xf2\xf7" \
    "\x17\x5e\x78\xe1\x1d\x8b\xc5\x52\x53\x52\x52\x92" \
    "\xa4\xd1\x68\x06\x4b\x4b\x4b\xf7\xed\xdc\xb9\xb3" \
    "\xdc\xe7\xf3\xb5\x27\x26\x26\x4e\x9a\x30\x61\xc2" \
    "\xea\x8e\x84\xb6\x79\x3f\x73\x3e\x67\x3c\x15\xa8" \
    "\xcc\xc9\x54\x64\x2d\x10\x6f\xa1\xb5\xba\xba\xba" \
    "\x17\x40\xe4\x91\x95\xd9\xbb\x77\xef\x82\xb3\xd7" \
    "\xcf\x88\x7f\xaa\xfa\xa3\x98\x73\x3e\x53\x5c\xda" \
    "\x5c\x2c\xd6\x5f\xab\x0f\x65\x64\x64\x6c\x02\xb0" \
    "\x08\x40\x2e\x00\x03\x80\x2c\x00\xb3\x01\xe4\x03" \
    "\x30\x01\x48\x5d\xba\x74\xe9\xf2\x7f\xf7\xd4\x46" \
    "\xf2\x2c\x13\xc4\x85\xe7\xe7\x8a\xdb\xab\x4a\xc5" \
    "\x8b\xed\x35\x42\x41\x41\xc1\x4f\xc6\xde\xb9\xb7" \
    "\xf1\x6f\x88\xf0\x2e\x34\x1a\x4d\xb1\x59\x9d\x03" \
    "\xca\x43\x23\x59\x4c\xc1\x9e\xe0\x0e\x1c\x4b\xfc" \
    "\x84\x2e\x2b\x2b\x5b\xb2\x7e\xfd\xfa\x5a\xa3\xd1" \
    "\x78\xfb\xad\xb7\xde\x2a\x30\x18\x0d\xeb\x78\x9e" \
    "\x57\xf5\xda\x7b\x2b\xdf\x7e\xfb\xed\xe3\x1e\x8f" \
    "\x27\x50\xb6\xb3\xec\x37\x3b\x82\xa5\x32\x26\xc8" \
    "\xa0\x4c\xfd\x3a\xfc\xb6\xa1\x6e\x6b\xd3\xe5\x4b" \
    "\x56\xab\xd5\x0d\x80\xc7\x7d\x22\x7d\xa8\x48\x08" \
    "\x82\x20\x2b\x2b\x2b\x7b\x67\xce\x9c\x99\xb6\x67" \
    "\xcf\x1e\xcc\x9e\x3d\x1b\xb5\x89\x17\x70\x2e\xfe" \
    "\x34\xfe\xc0\x95\x09\x74\x4f\xec\xe7\x1a\x93\x7a" \
    "\x4e\x73\x7c\xa3\xb1\x26\x52\x0d\x09\x49\xa2\x80" \
    "\x2a\xc4\xb4\xa1\x7c\x7f\xcc\x50\xec\xb5\x8b\xaa" \
    "\x73\x45\x1f\x06\x0e\x62\x1d\x36\x20\xd3\x36\x81" \
    "\xaf\xab\xab\x1b\xfa\xf8\xe3\x8f\x5f\x8c\x46\xa3" \
    "\x2d\x00\x1c\x00\x98\xbb\x24\xee\xd7\x00\x01\x40" \
    "\x02\x80\x58\xbb\x76\xed\x63\xf3\xe7\xcf\x2f\x6d" \
    "\xef\xe8\x40\x4b\x4b\x0b\xac\x56\x6b\xff\x93\x53" \
    "\x9e\x12\x7a\x82\x5d\xf2\x4e\xf5\x75\xc2\x9f\xe1" \
    "\xc9\xa9\xe2\x4f\xaa\x5b\x06\xae\x42\xcb\x6a\xa1" \
    "\x19\xd1\xe2\xc6\xed\x0e\x9c\xa0\x8e\xd0\xce\x44" \
    "\x9b\xa9\x9d\x68\x41\x9e\x77\x26\x16\x04\x17\xb9" \
    "\x0f\xbe\x77\xd0\x4e\xd3\xb4\x29\x1c\x0e\xdb\xbc" \
    "\x5e\x6f\x2d\x80\x21\xdc\x27\x42\xe9\xbe\x7d\xfb" \
    "\x72\x0c\x06\xc3\x4a\x85\x42\x61\x8c\x8b\x8b\x33" \
    "\x48\xa5\xd2\xf4\xb8\xb8\x38\x43\x4c\x4c\x0c\x8e" \
    "\x7e\xfa\x29\x8c\x46\x23\x5a\x5b\x5b\x75\xe5\x87" \
    "\xca\xdf\xfd\xd1\xfa\x67\x36\x57\xf0\xff\x90\x74" \
    "\x70\xad\x98\x6a\x9f\x8b\x89\x11\xb3\x48\x8d\xc8" \
    "\x1d\x61\x36\xec\x97\xeb\xa8\x1c\xd7\x70\x9f\xec" \
    "\x2b\x79\x2d\xc2\x42\x18\x05\xec\x42\x7e\xff\x3b" \
    "\xfb\x0f\xb1\x2c\xbb\x79\xca\x94\x29\xb8\x72\xe5" \
    "\xca\x3c\x00\x1f\x02\x18\xc4\xa8\xab\x8e\x12\x08" \
    "\x85\x42\x3f\xc8\xce\xce\xde\x69\x36\x9b\x21\x08" \
    "\x02\x78\x9e\x87\x28\x8a\x10\x45\x11\x6d\xad\xad" \
    "\x08\x04\x02\xe8\xeb\xeb\x6b\x6c\x6c\x6c\xac\x9e" \
    "\x35\x6b\x56\x52\x4e\xdc\xd4\x67\x3b\xa9\x36\x4c" \
    "\x0c\x98\x23\xff\x3c\x7c\x74\x97\xd5\x6a\x6d\x06" \
    "\x10\x48\x4d\x4d\x55\xfd\x7e\xdb\xef\xca\x09\x8d" \
    "\xa0\xd2\x0c\x6a\xe0\xe9\xf0\xb5\x58\x2c\x96\xfa" \
    "\xa4\xa4\xa4\x33\x95\x95\x95\xcf\x04\x83\xc1\xc7" \
    "\x00\x68\x00\x50\x00\xc2\xf7\x08\xf0\x3c\x2f\x71" \
    "\x3a\x9d\xa0\x69\x1a\x34\x4d\x43\x26\x93\x41\x2a" \
    "\x95\x42\x26\x93\xc1\x66\xb3\xc1\xe5\x72\x79\x79" \
    "\x9e\xff\x2b\x00\xf7\xe9\xd3\xa7\xdf\x5c\xa9\x7f" \
    "\x6a\xa5\x2b\xae\x87\xea\x4c\x6c\xa6\x14\x0a\x85" \
    "\x1c\x80\x1d\x80\x7b\xfe\xfc\xf9\x33\x9c\xfa\x1e" \
    "\x95\x22\x51\x8a\xb4\xab\x66\xd4\xd5\xd5\x9d\x07" \
    "\xe0\xe9\xef\xef\xdf\xea\xf1\x78\x4c\x00\xb2\x01" \
    "\xc4\x02\x90\x8d\xb5\x5b\xc4\x58\xcf\x41\xd3\x34" \
    "\xb4\x5a\x2d\xe2\xe3\xe3\xa1\x54\x2a\x11\x13\x13" \
    "\x03\x89\x44\x02\x95\x4a\x05\xb9\x5c\x2e\x01\x30" \
    "\x0c\xa0\xbf\xa1\xa1\xa1\xcd\xdd\x7d\xfb\x73\xdd" \
    "\x50\x0a\x18\x1d\x03\x53\xa6\x69\x19\x46\xcf\xf4" \
    "\x70\x52\x52\x52\xc9\x50\x86\x17\xa4\x5f\x0e\x49" \
    "\x0b\xcd\xd4\xd4\xd4\x7c\x05\xc0\x0b\x60\x90\xa2" \
    "\xa8\x08\x45\x51\xfc\x7d\x3a\xbb\x07\xa9\xdf\xef" \
    "\x6f\xb7\x5a\xad\xe7\xda\xda\xda\x4c\x09\x09\x09" \
    "\xba\xc4\xc4\x44\xb5\x4a\xa5\x22\xd4\x6a\x35\x72" \
    "\x73\x73\x11\x0c\x06\x55\x4e\xa7\x53\xc1\x71\x5c" \
    "\x04\x40\xd4\x6e\xb7\x1f\x4c\xe9\xd0\x3f\x3b\x52" \
    "\xec\x41\x6c\x66\x7c\x5e\x76\x76\xf6\x74\x97\xcb" \
    "\xe5\x63\xa4\xc1\x67\x88\xb4\x10\xc8\x16\x0a\x37" \
    "\x5b\xff\x73\x99\x65\x59\xef\x98\xe0\x24\x09\x09" \
    "\x09\xe9\x1c\xc7\x0d\x86\x42\xa1\x08\x1e\xc8\x09" \
    "\xe9\xee\xdd\xbb\x2f\x02\xb8\x01\x20\x1e\x40\x9c" \
    "\x52\xa9\x8c\xdf\xb4\x69\xd3\xaf\x96\x2f\x5f\xbe" \
    "\xa2\xb0\xb0\x10\x4e\xa7\x93\x94\x48\x24\x73\x7a" \
    "\x7a\x7a\x2c\x00\x88\x53\xa7\x4e\x59\x56\xc6\x3c" \
    "\x75\x3d\x76\x16\x72\x47\xcc\x03\x12\x83\xc1\xb0" \
    "\x46\xad\x56\xc7\x6a\x26\xa9\xd2\x24\x3c\x89\x81" \
    "\x4b\xac\xd8\xd2\x62\xa9\x06\x70\x07\x40\x30\x2b" \
    "\x2b\x6b\x6a\x72\x72\xb2\xd1\xe3\xf1\x54\x00\x60" \
    "\xef\x17\xe0\xdd\x16\x44\x01\xb8\x01\x74\x03\x68" \
    "\x1d\x1e\x1e\xae\xf3\x7a\xbd\x07\x5d\x2e\x17\x8a" \
    "\x8a\x8a\x60\x32\x99\x90\x97\x97\xb7\x8c\x20\x88" \
    "\x04\x00\x52\x41\x10\xa2\xb7\x9c\xee\xc3\x64\x8b" \
    "\x12\x71\x69\x34\xa8\x24\x72\xa9\x54\x26\xfd\x39" \
    "\x33\x73\x00\x81\xfe\x00\x7a\xac\x8e\xde\xde\xde" \
    "\xde\x56\x00\x3e\x00\x7c\x6e\x6e\xee\x8b\x46\xa3" \
    "\x51\xf4\xfb\xfd\x35\x63\xe7\xff\x6b\x69\x79\xd7" \
    "\x07\x44\x8c\x3a\x54\x14\x40\xd8\x66\xb3\x39\xa7" \
    "\x4d\x9b\x56\x92\x95\x95\x95\x2a\x93\xc9\x40\x51" \
    "\x94\x56\xab\xd5\x86\x3b\x3b\x3b\x1b\x00\x30\x1c" \
    "\xc7\xf5\xc8\x98\x98\x5f\x18\x8b\x12\x29\x86\x61" \
    "\xa8\x90\x87\x35\xa4\xac\x52\x10\x77\xce\x45\xd0" \
    "\x71\xe6\xe6\x09\xbf\xdf\x5f\x07\xc0\xbd\x72\xe5" \
    "\xca\x85\x39\x39\x39\x3b\x18\x86\xb9\x6c\xb5\x5a" \
    "\x3f\x07\x70\x0b\xc0\x23\xc3\x08\xe1\x70\x58\xa0" \
    "\x28\xaa\x51\xa9\x54\xfe\xb8\xb0\xb0\x90\x1a\x1e" \
    "\x1e\x46\x66\x66\xe6\x8c\xc9\x93\x27\x4f\x35\x9b" \
    "\xcd\xca\xda\xda\xda\x06\x82\x27\xb2\x12\xa7\xab" \
    "\xa7\xc6\x4e\x26\x20\x97\xd3\x84\x2e\x43\x83\xe6" \
    "\xbd\x37\x23\xdd\xd7\x6f\xbe\xf7\xfc\xf3\xcf\x2f" \
    "\x59\xb1\x62\xc5\x2f\xf3\xf2\xf2\x36\xca\x65\xd2" \
    "\x98\x8f\xca\xcb\xf7\x8d\x8c\x8c\x74\x01\x70\x8d" \
    "\xb5\x01\xdf\x4a\x00\x00\x36\x6c\xd8\x90\xb5\x66" \
    "\xcd\x9a\x0d\xe9\xe9\xe9\xa4\x42\xa1\x40\x28\x14" \
    "\x22\x5d\x2e\x57\xb6\x42\xa1\x28\xd1\xeb\xf5\xad" \
    "\xed\xed\xed\x57\x89\x00\xb5\x76\xe1\x13\x8f\x13" \
    "\xc9\x93\x75\x68\xbf\xda\x85\xa6\xf2\x1b\x5f\x15" \
    "\x17\x15\x7b\xcc\x66\xf3\xcb\x82\x20\x3c\x66\x48" \
    "\x4b\x8d\xf3\xfa\x7c\x12\x89\x84\xec\xbb\x71\xe3" \
    "\xc6\x25\x00\x03\x63\x95\xfe\x76\x02\x5b\xb7\x6e" \
    "\x4d\x58\xb5\x6a\xd5\xbf\x0c\x06\x83\xc6\xe9\x74" \
    "\x22\x3d\x3d\x1d\x34\x4d\x83\xe3\x38\xcc\x98\x31" \
    "\x43\x52\x5c\x5c\xbc\x60\xce\x9c\x39\xc4\xa9\x8a" \
    "\xaa\x8c\xf4\xa9\xc6\xd8\x20\x13\xc4\xd5\x4f\x3a" \
    "\xb0\x38\xff\x87\xb7\x37\x6e\xdc\xb8\xc0\x68\x34" \
    "\xaa\x99\x91\x20\xe2\x35\x1a\x4c\x9e\x6c\x46\x6a" \
    "\x6a\xea\x94\x40\x20\x60\xb1\xd9\x6c\x3d\x63\x6d" \
    "\x1e\x9f\x80\xd9\x6c\x26\xb7\x6c\xd9\xf2\x69\x7e" \
    "\x7e\x7e\xbe\xcd\x66\x43\x34\x1a\x05\xc3\x30\xd0" \
    "\x6a\xb5\x30\x99\x4c\x08\x47\x22\x50\xaa\x54\x8a" \
    "\xe9\xd3\xa7\xe7\xc7\xab\xe3\x63\xf7\x96\xbe\x8b" \
    "\xde\x8b\xb7\x11\x13\x56\xe0\x83\x83\x87\xd2\x64" \
    "\x32\xa9\x7a\xc8\x3f\x04\x9d\x3e\x01\x0a\x85\x12" \
    "\x2c\xcb\x42\xa9\x54\x92\x1a\x8d\xe6\xf1\xae\xae" \
    "\xae\x2a\x92\x24\x87\x17\x2d\x5a\xa4\xe8\xee\xee" \
    "\x8e\x02\x10\xbf\x91\x86\xc7\x8e\x1d\x2b\x5d\xb6" \
    "\x6c\xd9\x0e\x97\xcb\x85\x40\x20\x00\x99\x4c\x86" \
    "\x70\x38\x8c\xee\xee\x6e\x68\xb5\x5a\x98\xcd\x66" \
    "\x48\xa5\x52\xf8\xfd\x7e\x70\x1c\x0f\x41\xe0\x41" \
    "\x92\x24\xc2\xe1\x30\x38\x8e\x83\x28\x8a\x10\x04" \
    "\x01\x2e\x97\x0b\x7d\x7d\x7d\xd1\xb4\xb4\x34\x99" \
    "\x5c\x2e\x87\x28\x8a\x70\x3a\x9d\x4d\xc5\xc5\xc5" \
    "\xf1\x55\x55\x55\xee\xb2\xb2\xb2\xd5\xa1\x50\x68" \
    "\xf0\xc1\x0a\x48\x26\x4e\x9c\xf8\xa4\xdd\x6e\x9f" \
    "\xc7\x71\x1c\x48\x92\x84\xc3\xe1\x80\xc5\x62\xb1" \
    "\x1d\x38\x70\xe0\xcd\x9b\x37\x6f\x5e\xf5\xf9\x7c" \
    "\xfa\xe1\xe1\x61\x9d\x54\x2a\x25\x54\x2a\x25\xf4" \
    "\x7a\x3d\xa4\x52\x29\xe4\x72\x39\x7c\x3e\x1f\xdc" \
    "\x6e\x37\x9a\x9a\x9a\xfa\x2b\x2a\x2a\xca\xbf\xf8" \
    "\xe2\x8b\xf7\x93\x93\x93\xb3\x29\x8a\x4a\x24\x49" \
    "\x12\x85\x85\x85\x29\x0e\x87\x43\xd3\xd5\xd5\x25" \
    "\xb7\xdb\xed\x17\xfd\x7e\x7f\xff\x83\x15\x20\x48" \
    "\x92\x54\x6d\xde\xbc\xf9\xc0\xa4\x49\x93\x9e\xe3" \
    "\x38\x2e\x6a\xb5\x5a\x4f\x7c\xf6\xd9\x67\x9f\x70" \
    "\x1c\x77\x03\xa3\xce\x16\x97\x9b\x9b\x9b\xf7\xf4" \
    "\xd3\x4f\xbf\x9e\x97\x97\x37\x49\xa7\xd3\x41\x14" \
    "\x45\xe8\xf5\x7a\x9c\x3e\x7d\x7a\xf0\xc8\x91\x23" \
    "\xef\x37\x37\x37\x5f\x16\x45\xd1\x0e\xc0\xab\xd3" \
    "\xe9\xd4\xeb\xd6\xad\xdb\x9b\x91\x91\xb1\x94\xa2" \
    "\x28\xf4\xf5\xf5\x79\x8f\x1e\x3d\x5a\x66\xb7\xdb" \
    "\xcf\x00\xb0\x7d\x43\x03\xa2\x28\x72\xd7\xae\x5d" \
    "\xbb\x94\x9a\x9a\xaa\xaa\xa8\xa8\xf8\xe8\xc2\x85" \
    "\x0b\x27\x04\x41\x68\xc5\xe8\x19\x0e\x00\x08\x0c" \
    "\x0e\x0e\xba\x0a\x0a\x0a\x32\x94\x4a\xe5\x5c\x9a" \
    "\xa6\x21\x08\x02\xe4\x72\x39\xea\xeb\xeb\xaf\x1f" \
    "\x3f\x7e\xfc\x6f\x00\x9a\x31\x6a\x6e\x81\x50\x28" \
    "\x34\xd4\xd0\xd0\x70\xd6\x60\x30\xc4\x71\x1c\x67" \
    "\x3a\x76\xec\xd8\x9f\x6d\x36\xdb\x25\x8c\x86\x58" \
    "\xe4\x61\x57\x32\x9e\x65\x59\xcf\xfe\xfd\xfb\x5f" \
    "\xc5\x68\x74\x06\x31\xea\x60\x77\xcd\x83\x03\x10" \
    "\xe0\x79\xfe\x22\xc3\x30\xbf\x0e\x85\x42\xf7\x74" \
    "\x12\x08\x04\x7c\x18\x0d\xa0\x3b\xf7\xad\x8f\xf2" \
    "\x3c\x3f\x70\xe8\xd0\xa1\x52\x9d\x4e\x77\xd8\xeb" \
    "\xf5\xfa\xc7\x36\x13\x02\x20\x8e\x77\x27\xe4\xc7" \
    "\x3e\x02\x3c\x7c\xc8\x10\xdb\xda\xda\xae\xa4\xa4" \
    "\xa4\x88\x2c\xcb\x12\x04\x41\x80\x65\x59\x0c\x0d" \
    "\x0d\x0d\xe2\xe1\x83\x09\x0f\xe0\x8e\xd7\xeb\x6d" \
    "\x1d\x23\x76\x6f\x8d\x04\xe3\x43\x1c\xe7\xe7\x00" \
    "\x80\x93\x27\x4f\x0e\x84\x42\xa1\x5e\x8f\xc7\x03" \
    "\x87\xc3\x01\xb7\xdb\x0d\xbf\xdf\xdf\x8f\x07\xc2" \
    "\xe6\x3e\x08\x18\x75\xc1\xaf\x25\xe2\xb8\xb7\xe2" \
    "\xef\x00\xd1\xe1\x70\xbc\x13\x0e\x87\xe7\x47\xa3" \
    "\x51\x5a\x22\x91\x88\xbd\xbd\xbd\x2d\x78\xc0\x6a" \
    "\x1f\x85\xef\x33\x76\x13\x18\xbd\xe1\xa8\x31\x3a" \
    "\xc2\x8b\x18\xd5\x8a\x1f\xdf\x61\xf0\xb8\x8b\xff" \
    "\x02\xf1\xf6\xcb\x54\xf1\xaf\x8e\x6a\x00\x00\x00" \
    "\x00\x49\x45\x4e\x44\xae\x42\x60\x82"



class AmuleKform(QWidget):
    def __init__(self,parent = None,name = None,fl = 0):
        QWidget.__init__(self,parent,name,fl)

        self.image0 = QPixmap()
        self.image0.loadFromData(image0_data,"PNG")
        if not name:
            self.setName("Form1")

        self.setMaximumSize(QSize(32767,28000))
        self.setIcon(self.image0)

        Form1Layout = QGridLayout(self,1,1,11,6,"Form1Layout")

        layout4 = QVBoxLayout(None,0,6,"layout4")

        self.textLabel1 = QLabel(self,"textLabel1")
        layout4.addWidget(self.textLabel1)

        layout5 = QHBoxLayout(None,0,6,"layout5")

        self.checkBox1 = QCheckBox(self,"checkBox1")
        layout5.addWidget(self.checkBox1)

        self.checkBox2 = QCheckBox(self,"checkBox2")
        layout5.addWidget(self.checkBox2)
        spacer3 = QSpacerItem(577,21,QSizePolicy.Expanding,QSizePolicy.Minimum)
        layout5.addItem(spacer3)
        layout4.addLayout(layout5)

        self.listView1 = QListView(self,"listView1")
        self.listView1.addColumn(self.__tr("File Name"))
        self.listView1.addColumn(self.__tr("Ed2k Link"))
        layout4.addWidget(self.listView1)

        layout4_2 = QHBoxLayout(None,0,6,"layout4_2")

        self.sendButton = QPushButton(self,"sendButton")
        layout4_2.addWidget(self.sendButton)

        self.sendButtonDonkey = QPushButton(self,"sendButtonDonkey")
        layout4_2.addWidget(self.sendButtonDonkey)

        self.progressBar2 = QProgressBar(self,"progressBar2")
        self.progressBar2.setEnabled(0)
        layout4_2.addWidget(self.progressBar2)

        self.textLabel1_2 = QLabel(self,"textLabel1_2")
        self.textLabel1_2.setEnabled(0)
        layout4_2.addWidget(self.textLabel1_2)
        spacer6 = QSpacerItem(159,39,QSizePolicy.Expanding,QSizePolicy.Minimum)
        layout4_2.addItem(spacer6)

        self.exitButton = QPushButton(self,"exitButton")
        layout4_2.addWidget(self.exitButton)
        layout4.addLayout(layout4_2)

        Form1Layout.addLayout(layout4,0,0)

        self.languageChange()

        self.resize(QSize(810,508).expandedTo(self.minimumSizeHint()))
        self.clearWState(Qt.WState_Polished)

        self.connect(self.exitButton,SIGNAL("clicked()"),self.close)


    def languageChange(self):
        self.setCaption(self.__tr("Kollection"))
        self.textLabel1.setText(self.__tr("<b>Extracetd ed2k link<font size=\"+1\"></font></b>"))
        self.checkBox1.setText(self.__tr("&Check/Uncheck All"))
        self.checkBox1.setAccel(QKeySequence(self.__tr("Alt+C")))
        self.checkBox2.setText(self.__tr("Check/&Uncheck Selected"))
        self.checkBox2.setAccel(QKeySequence(self.__tr("Alt+U")))
        self.listView1.header().setLabel(0,self.__tr("File Name"))
        self.listView1.header().setLabel(1,self.__tr("Ed2k Link"))
        self.sendButton.setText(self.__tr("Send to a&Mule"))
        self.sendButton.setAccel(QKeySequence(self.__tr("Alt+M")))
        self.sendButtonDonkey.setText(self.__tr("Send to ML&Donkey"))
        self.sendButtonDonkey.setAccel(QKeySequence(self.__tr("Alt+D")))
        self.textLabel1_2.setText(self.__tr("<b>Succesfully Sended</b>"))
        self.exitButton.setText(self.__tr("E&xit"))
        self.exitButton.setAccel(QKeySequence(self.__tr("Alt+X")))


    def selectAllNone(self):
        print "AmuleKform.selectAllNone(): Not implemented yet"

    def __tr(self,s,c = None):
        return qApp.translate("AmuleKform",s,c)

class dialogForm(QDialog):
    def __init__(self,parent = None,name = None,modal = 0,fl = 0):
        QDialog.__init__(self,parent,name,modal,fl)

        self.image0 = QPixmap()
        self.image0.loadFromData(image1_data,"PNG")
        if not name:
            self.setName("dialogForm")


        dialogFormLayout = QGridLayout(self,1,1,11,6,"dialogFormLayout")

        layout21 = QVBoxLayout(None,0,6,"layout21")

        layout12 = QHBoxLayout(None,0,6,"layout12")

        self.pixmapLabel1 = QLabel(self,"pixmapLabel1")
        self.pixmapLabel1.setSizePolicy(QSizePolicy(QSizePolicy.Fixed,QSizePolicy.Fixed,0,0,self.pixmapLabel1.sizePolicy().hasHeightForWidth()))
        self.pixmapLabel1.setPixmap(self.image0)
        self.pixmapLabel1.setScaledContents(1)
        layout12.addWidget(self.pixmapLabel1)

        self.textLabel2 = QLabel(self,"textLabel2")
        layout12.addWidget(self.textLabel2)
        layout21.addLayout(layout12)
        spacer5_2 = QSpacerItem(20,21,QSizePolicy.Minimum,QSizePolicy.Expanding)
        layout21.addItem(spacer5_2)

        layout20 = QHBoxLayout(None,0,6,"layout20")

        layout15 = QVBoxLayout(None,0,6,"layout15")

        self.textLabel1_2_2 = QLabel(self,"textLabel1_2_2")
        layout15.addWidget(self.textLabel1_2_2)

        self.hostLine = QLineEdit(self,"hostLine")
        layout15.addWidget(self.hostLine)
        layout20.addLayout(layout15)

        layout16 = QVBoxLayout(None,0,6,"layout16")

        self.textLabel1_3 = QLabel(self,"textLabel1_3")
        layout16.addWidget(self.textLabel1_3)

        self.portLine = QLineEdit(self,"portLine")
        layout16.addWidget(self.portLine)
        layout20.addLayout(layout16)
        layout21.addLayout(layout20)

        self.textLabel1_2 = QLabel(self,"textLabel1_2")
        layout21.addWidget(self.textLabel1_2)

        self.userLine = QLineEdit(self,"userLine")
        layout21.addWidget(self.userLine)

        self.textLabel1 = QLabel(self,"textLabel1")
        layout21.addWidget(self.textLabel1)

        self.passwordLine = QLineEdit(self,"passwordLine")
        layout21.addWidget(self.passwordLine)
        spacer5 = QSpacerItem(20,21,QSizePolicy.Minimum,QSizePolicy.Expanding)
        layout21.addItem(spacer5)

        layout6 = QHBoxLayout(None,0,6,"layout6")

        self.cancelButton = QPushButton(self,"cancelButton")
        layout6.addWidget(self.cancelButton)
        spacer1 = QSpacerItem(296,20,QSizePolicy.Expanding,QSizePolicy.Minimum)
        layout6.addItem(spacer1)

        self.okButton = QPushButton(self,"okButton")
        self.okButton.setDefault(1)
        layout6.addWidget(self.okButton)
        layout21.addLayout(layout6)

        dialogFormLayout.addLayout(layout21,0,0)

        self.languageChange()

        self.resize(QSize(502,315).expandedTo(self.minimumSizeHint()))
        self.clearWState(Qt.WState_Polished)

        self.connect(self.okButton,SIGNAL("clicked()"),self.accept)
        self.connect(self.cancelButton,SIGNAL("clicked()"),self.reject)

        self.setTabOrder(self.passwordLine,self.okButton)
        self.setTabOrder(self.okButton,self.cancelButton)
        self.setTabOrder(self.cancelButton,self.userLine)
        self.setTabOrder(self.userLine,self.hostLine)
        self.setTabOrder(self.hostLine,self.portLine)


    def languageChange(self):
        self.setCaption(self.__tr("MLDonkey Password"))
        self.textLabel2.setText(self.__tr("<font size=\"+1\">Please, insert MLDonkey connection parameters<br>Leave blank if unsure</font>"))
        self.textLabel1_2_2.setText(self.__tr("Host"))
        self.hostLine.setText(self.__tr("localhost"))
        self.textLabel1_3.setText(self.__tr("Port"))
        self.portLine.setText(self.__tr("4000"))
        self.textLabel1_2.setText(self.__tr("Username"))
        self.userLine.setText(self.__tr("admin"))
        self.textLabel1.setText(self.__tr("Password"))
        self.cancelButton.setText(self.__tr("Cancel"))
        self.okButton.setText(self.__tr("Ok"))


    def __tr(self,s,c = None):
        return qApp.translate("dialogForm",s,c)

class MyDialog(dialogForm):
	def __init__(self):
		dialogForm.__init__(self)
		self.passwordLine.setEchoMode(QLineEdit.Password)
		
	
	

#Questa classe eredita il form creato col designer
class MyForm(AmuleKform):
	
	itemNumber = 0
	def __init__(self):
		AmuleKform.__init__(self)
		"""Some initialization:
		The checkbox are showed,the signla/slot setted and the selection mode permit a multiselection
		"""
		self.checkBox1.setChecked(True)
		self.checkBox1.show()
		self.checkBox2.show()
		self.listView1.setSelectionMode(QListView.Extended)
		self.connect(self.sendButton,SIGNAL('clicked()'), self.sendToMule)
		self.connect(self.sendButtonDonkey,SIGNAL('clicked()'), self.sendToKmldonkey)
		self.connect(self.checkBox1,SIGNAL("toggled(bool)"),self.checkAllNone)
		self.connect(self.checkBox2,SIGNAL("toggled(bool)"),self.checkSelected)
		
				
	#Aggiungiamo un funzione per inserire elementi nel form che prende due stringhe
	"""This function insert item in the list giving name and link  """
	def fillListView(self,nome,elink):
		item = QCheckListItem(self.listView1,"Selected",QCheckListItem.CheckBox)
		item.setText(0,nome+"  ")
		item.setText(1,elink)
		item.setOn(True)
		self.itemNumber = self.itemNumber + 1
		
		
	"""This set Geometry"""
	def adjust(self):
		self.progressBar2.setTotalSteps(self.itemNumber)
		self.adjustSize()
		

			
		
	"""This iter any item with QListViewItemIterator and check all/none based on checkbox1 state"""
	def checkAllNone(self):
		itemList=QListViewItemIterator(self.listView1)
		i=0
		while (itemList.current()):
			i += 1
			if ( self.checkBox1.isOn() == True ):
				itemList.current().setOn(True)
			else:
				itemList.current().setOn(False)
			itemList += 1
	
	"""This iter any selected item with QListViewItemIterator and check/uncheck all based on checkbox2 state"""
	def checkSelected(self):
		itemList=QListViewItemIterator(self.listView1)
		i=0
		while (itemList.current()):
			i += 1
			if ( itemList.current().isSelected() == True ) and (self.checkBox2.isOn() == True):
				itemList.current().setOn(True)
			else:
				itemList.current().setOn(False)
			itemList += 1
		
	
	"""This read ed2k link of checked item and send it to aMule by amule_emc.It also incremente progressbar """
	def sendToMule(self):
		self.progressBar2.setEnabled(1)
		itemList=QListViewItemIterator(self.listView1)
		i=0
		while (itemList.current()):
			i += 1
			if ( itemList.current().isOn() == True ):
				print itemList.current().text(1).__str__().encode('utf8')
				os.popen('ed2k \"'+itemList.current().text(1).__str__().encode('utf8')+'\"')
			self.progressBar2.setProgress(i)
			itemList += 1
		self.textLabel1_2.setEnabled(1)
	
	def sendToKmldonkey(self):
		dialog = MyDialog()
		send = True
		
		if (dialog.exec_loop() == QDialog.Accepted):
			host = dialog.hostLine.text().__str__()
			port = dialog.portLine.text().__str__()
			passw = dialog.passwordLine.text().__str__()
			user = dialog.userLine.text().__str__()
			send = True
		else:
			send = False
					
		
		
		i=0
		if ( send ):
			self.progressBar2.setEnabled(1)
			itemList=QListViewItemIterator(self.listView1)
			while (itemList.current()):
				i += 1
				if ( itemList.current().isOn() == True ):
					link = itemList.current().text(1).__str__().encode('ascii','replace').replace("'","\'")
					os.popen('mldonkey_command -h \"'+host+'\" -P \"'+port+'\" -u \"'+user+'\" -p \"'+passw+'\" \"'+link+'\"')
				self.progressBar2.setProgress(i)
				itemList += 1
			self.textLabel1_2.setEnabled(1)
	
	
	
			
			
		
	


if __name__ == "__main__":
	app = QApplication(sys.argv)
	myf = MyForm()
	

#Vediamo se il file e' binario o di testo
	f = os.popen('file -bi '+sys.argv[1],'r')
	if (f.read().find('text') != -1) == False :
	#in questo caso il file e' binario e dobbiamo darlo in pasto a amule_emc
		print sys.argv[1].replace(" ","\ ");
		os.popen('amule_emc '+ sys.argv[1].replace(" ","\ ") +'>'+os.path.expanduser('~')+"/.deleteMe")
		try:
			binaryfile = open (os.path.expanduser('~')+"/.deleteMe")   
	#Apre il file creato dallo script
		except IOError:
			os.popen('kdialog --error \"I can\'t read this collection file\\nCheck if it\'s corrupted\"')
			quit()
		try:    #Estrae nome del file e link e le aggiunge al form come elementi
			for link in binaryfile:
				name = link[link.find("ed2k://|file|")+13:link.find("|",link.find("ed2k://|file|")+13)]
				myf.fillListView(name,link)
			myf.adjust()
		finally:
			binaryfile.close()
	#Se invece non è binario	
	else:
		try:
			textfile = open(sys.argv[1],'r')
		except IOError:
			os.popen('kdialog --error \"I can\'t read this collection file\\nCheck if it\'s corrupted\"')
			quit()
		try:
			for link in textfile:
				name = link[link.find("ed2k://|file|")+13:link.find("|",link.find("ed2k://|file|")+13)]
				myf.fillListView(name,link)
			myf.adjust()
		finally:
			textfile.close()
	f.close()
	
	
	myf.show()
	app.setMainWidget(myf)
	app.exec_loop()